Module jdk.compiler
Package com.sun.source.tree

## Interface ImportTree

All Superinterfaces:
  Tree

    public interface ImportTree
    extends Tree

A tree node for an import statement. For example:

       import qualifiedIdentifier ;

       static import qualifiedIdentifier ;

Since:
  1.6
See The Java™ Language Specification:
  section 7.5

### Nested Class Summary

### Nested classes/interfaces inherited from interface com.sun.source.tree.Tree

`Tree.Kind`

### Method Summary

All Methods Instance Methods Abstract Methods
`Tree` `getQualifiedIdentifier()` Returns the qualified identifier for the declaration(s) being imported.
`boolean` `isStatic()` Returns true if this is a static import declaration.

### Methods inherited from interface com.sun.source.tree.Tree

`accept, getKind`

### Method Detail

#### isStatic

    boolean isStatic()

Returns true if this is a static import declaration.

Returns:
  true if this is a static import

#### getQualifiedIdentifier

    Tree getQualifiedIdentifier()

Returns the qualified identifier for the declaration(s) being imported. If this is an import-on-demand declaration, the qualified identifier will end in "*".

Returns:
  a qualified identifier, ending in "*" if and only if this is an import-on-demand